This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964450 - mallopt: There is no env variable to control M_MXFAST
mallopt: There is no env variable to control M_MXFAST
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.6
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Carlos O'Donell
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 14:31 EDT by Sergio Martins
Modified: 2016-11-24 07:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 15:20:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Martins 2013-05-18 14:31:23 EDT
mallopt() allows us to set several env variables to control the behaviour of the malloc implementation.

There doesn't seem to be one to control M_MXFAST, which would be very useful to tune the usage of fast bins without having to recompile the application.
Comment 7 Carlos O'Donell 2015-10-19 15:20:20 EDT
This is not going to get fixed in RHEL6. We don't risk deviate from upstream, and upstream doesn't want to add new environment variables without going through the tunables framework (consistent naming and scope for environment variables that change behaviour). Backporting this new framework to RHEL6 is a nonstarter. Therefore it is likely going to be the case that adjusting fastbin behaviour will always require an application rebuild for RHEL6, while newer RHEL releases will have support for this. As such I'm marking this CLOSED/WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.